# SWDB

# \Rune_Craft

Owned rune craft item.

Represents an object from the table 'rune_craft'.

## Summary

Methods
Properties
Constants
__construct()
$db
$uid
$id
$quality
$quality_name
$rune
$stat
$stat_name
$gem
$ancient
$inmemorial
$name
$min
$max
$value
No constants found
No protected methods found
No protected properties found
N/A
stat_name()
quality_name()
No private properties found
N/A

File
  application/entity/Rune_Craft.php
Package
  Default
Class hierarchy
  \Entity
  \Rune_Craft

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $uid

    $uid : integer

#### Type

integer — Owner identifier.

#

## Tags

None found

### $id

    $id : integer

#### Type

integer — Item identifier.

#

## Tags

None found

### $quality

    $quality : integer

#### Type

integer — Item quality.

#

See also
  \QUALITY

## Tags

None found

### $quality_name

    $quality_name : string

#### Type

string — Item quality name.

#

## Tags

None found

### $rune

    $rune : \K_Rune_Set

#### Type

\K_Rune_Set — Rune set the item can be used on.

#

## Tags

None found

### $stat

    $stat : integer

#### Type

integer — Stat the item modifies.

#

See also
  \RUNE_STAT

## Tags

None found

### $stat_name

    $stat_name : string

#### Type

string — Stat name.

#

## Tags

None found

### $gem

    $gem : boolean

#### Type

boolean — Indicates if the Item is a gem.

#

## Tags

None found

### $ancient

    $ancient : boolean

#### Type

boolean — Indicates if the Item is ancient.

#

## Tags

None found

### $inmemorial

    $inmemorial : boolean

#### Type

boolean — Indicates if the Item is inmemorial.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Item name.

#

## Tags

None found

### $min

    $min : integer

#### Type

integer — Minimum value of the stat.

#

## Tags

None found

### $max

    $max : integer

#### Type

integer — Maximum value of the stat.

#

## Tags

None found

### $value

    $value : integer

#### Type

integer — Sell value.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the rune, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Rune id.

#

## Tags

None found

### stat_name()

    stat_name(integer  $stat) : string

Gets a stat name from the maps.

#### Parameters

integer | $stat | Stat id.

#### Returns

string —

Stat name (Uppercase)

#

## Tags

None found

### quality_name()

    quality_name(integer  $q) : string

Gets a stat name from the maps.

#### Parameters

integer | $q | Quality id.

#### Returns

string —

Quality (Uppercase)

#

## Tags

None found

### Rune_Craft.php